"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Column = Column;
exports.Row = Row;
exports.SquareImage = SquareImage;
exports.multiply = multiply;
var _reactNative = require("react-native");
function multiply(a, b) {
  return Promise.resolve(a * b);
}
function Column(_ref) {
  let {
    children,
    spacing = 8,
    verticalPadding = 0,
    horizontalPadding = 0,
    flex = false
  } = _ref;
  const style = {
    alignItems: 'center',
    rowGap: spacing
  };
  if (flex) {
    style.flex = 1;
  } else {
    style.width = '100%';
  }
  if (verticalPadding) {
    style.paddingVertical = verticalPadding;
  }
  if (horizontalPadding) {
    style.paddingHorizontal = horizontalPadding;
  }
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: style
  }, children);
}
function Row(_ref2) {
  let {
    children,
    flex = false,
    gap = 0,
    verticalAlign = 'center',
    horizontalAlign = 'center'
  } = _ref2;
  const style = {
    columnGap: gap,
    justifyContent: horizontalAlign,
    alignItems: verticalAlign
  };
  if (flex) {
    style.flex = 1;
  } else {
    style.width = '100%';
  }
  return /*#__PURE__*/React.createElement(_reactNative.View, {
    style: [styles.container, style]
  }, children);
}
const styles = _reactNative.StyleSheet.create({
  container: {
    flexDirection: 'row'
  }
});
function SquareImage(_ref3) {
  let {
    source,
    size,
    backgroundColor = null
  } = _ref3;
  const style = {
    width: size,
    height: size
  };
  if (backgroundColor) {
    style.backgroundColor = backgroundColor;
  }
  return /*#__PURE__*/React.createElement(_reactNative.Image, {
    source: source,
    style: style
  });
}
//# sourceMappingURL=index.js.map