import { Image, StyleSheet, View } from 'react-native';
export function multiply(a, b) {
  return Promise.resolve(a * b);
}
export function Column(_ref) {
  let {
    children,
    spacing = 8,
    verticalPadding = 0,
    horizontalPadding = 0,
    flex = false
  } = _ref;
  const style = {
    alignItems: 'center',
    rowGap: spacing
  };
  if (flex) {
    style.flex = 1;
  } else {
    style.width = '100%';
  }
  if (verticalPadding) {
    style.paddingVertical = verticalPadding;
  }
  if (horizontalPadding) {
    style.paddingHorizontal = horizontalPadding;
  }
  return /*#__PURE__*/React.createElement(View, {
    style: style
  }, children);
}
export function Row(_ref2) {
  let {
    children,
    flex = false,
    gap = 0,
    verticalAlign = 'center',
    horizontalAlign = 'center'
  } = _ref2;
  const style = {
    columnGap: gap,
    justifyContent: horizontalAlign,
    alignItems: verticalAlign
  };
  if (flex) {
    style.flex = 1;
  } else {
    style.width = '100%';
  }
  return /*#__PURE__*/React.createElement(View, {
    style: [styles.container, style]
  }, children);
}
const styles = StyleSheet.create({
  container: {
    flexDirection: 'row'
  }
});
export function SquareImage(_ref3) {
  let {
    source,
    size,
    backgroundColor = null
  } = _ref3;
  const style = {
    width: size,
    height: size
  };
  if (backgroundColor) {
    style.backgroundColor = backgroundColor;
  }
  return /*#__PURE__*/React.createElement(Image, {
    source: source,
    style: style
  });
}
//# sourceMappingURL=index.js.map