import { Image, StyleSheet, View } from 'react-native';

export function multiply(a, b) {
  return Promise.resolve(a * b);
}

export function Column({ children, spacing = 8, verticalPadding = 0, horizontalPadding = 0, flex = false }) {
  const style = {
    alignItems: 'center',
    rowGap: spacing
  }
  if (flex) {
    style.flex = 1
  } else {
    style.width = '100%'
  }

  if (verticalPadding) {
    style.paddingVertical = verticalPadding
  }

  if (horizontalPadding) {
    style.paddingHorizontal = horizontalPadding
  }

  return <View style={style}>{children}</View>
}

export function Row({ children, flex = false, gap = 0, verticalAlign = 'center', horizontalAlign = 'center' }) {
  const style = { columnGap: gap, justifyContent: horizontalAlign, alignItems: verticalAlign }
  if (flex) {
    style.flex = 1
  } else {
    style.width = '100%'
  }

  return <View style={[styles.container, style]}>{children}</View>
}

const styles = StyleSheet.create({
  container: {
    flexDirection: 'row'
  }
})

export function SquareImage({ source, size, backgroundColor = null }) {
  const style = { width: size, height: size }
  if (backgroundColor) {
    style.backgroundColor = backgroundColor
  }

  return <Image source={source} style={style} />
}
